[ Identification | Description | Input parameters | Output parameters | Links ]

# The `Pol_monitor` Component

Polarisation sensitive monitor.

## Identification

- Author: Peter Christiansen
- Origin: Risoe
- Date: July 2006
- Version: 1.5

## Description

    polarisation along a given normalized m-vector (mx, my, mz).
    The measured quantity is: sx*mx+sy*my+mz*sz

    Example: Pol_monitor(xw=0.1, yh=0.1, nchan=11,
                         mx=0, my=1, mz=0, filename="polMon.data")

## Input parameters

Parameters in boldface are required; the others are optional.

Name | Unit | Description | Default
--- | --- | --- | ---
xw | - | Width/diameter of detector (m). | 0
yh | - | Height of detector (m). | 0
npol | 1 | Number of channels | 20
filename | text | Name of file in which to store the detector output |
restore_neutron | 1 | If set, the monitor does not influence the neutron state | 0
mx | 1 | X-component of monitor vector (can be negative) | 0
my | 1 | Y-component of monitor vector (can be negative) | 0
mz | 1 | Z-component of monitor vector (can be negative) | 0

## Output parameters

Name | Unit | Description | Default
--- | --- | --- | ---
Pol_N | - | Array of neutron counts |
Pol_p | - | Array of neutron weight counts |
Pol_p2 | - | Array of second moments |

## Links

- Source code for `Pol_monitor.comp`.

[ Identification | Description | Input parameters | Output parameters | Links ]